Fulfillment Manager API · orders
Fetch one sales order or quote by its ord_ id
GET /orders/{orderId}
Fetch one sales order or quote by its ord_ id: its lines, shipments, invoices, payments, refunds and any shortfall.
Access
Requires orders:read.
How scopes come from roles: Scopes and roles. Getting a token: Authentication and app tokens.
AI agent tool
Agents call this as fulfillment_get_order (Fulfillment: Get order), in the orders toolset. It only reads.
Connecting an agent: AI agents.
Example
curl -X GET 'https://fulfillment.getmanifold.io/orders/ord_01a156d4-8704-7a21-8b32-4c5d6e7f8091' \
-H "Authorization: Bearer $MANIFOLD_TOKEN"const response = await fetch("https://fulfillment.getmanifold.io/orders/ord_01a156d4-8704-7a21-8b32-4c5d6e7f8091", {
method: "GET",
headers: { Authorization: `Bearer ${process.env.MANIFOLD_TOKEN}` },
});
if (!response.ok) throw new Error(`${response.status}: ${await response.text()}`);
const answer = await response.json();{
"id": "ord_01a156d4-8704-7a21-8b32-4c5d6e7f8091",
"reference": "PO-7781",
"source": {
"kind": "api"
},
"customer": {
"companyId": "cmp_01a1588a-1f02-7a3b-8c4d-5e6f7a8b9c0d",
"shippingAddressId": "cloc_01a1588a-1f02-7a3b-8c4d-6f7a8b9c0d1e",
"billingAddressId": "cloc_01a1588a-1f02-7a3b-8c4d-6f7a8b9c0d1e"
},
"party": {
"companyId": "cmp_01a1588a-1f02-7a3b-8c4d-5e6f7a8b9c0d",
"name": "Harbour Ceramics Pty Ltd",
"paymentTermsDays": 30,
"shipTo": {
"id": "cloc_01a1588a-1f02-7a3b-8c4d-6f7a8b9c0d1e",
"label": "Fremantle warehouse",
"address": {
"firstName": "Receiving",
"lastName": "Dock",
"company": "Harbour Ceramics",
"address1": "14 Kiln Street",
"city": "Fremantle",
"province": "Western Australia",
"provinceCode": "WA",
"country": "Australia",
"countryCode": "AU",
"zip": "6160"
}
},
"billTo": {
"id": "cloc_01a1588a-1f02-7a3b-8c4d-6f7a8b9c0d1e",
"label": "Fremantle warehouse",
"address": {
"company": "Harbour Ceramics Pty Ltd",
"address1": "PO Box 412",
"city": "Fremantle",
"provinceCode": "WA",
"countryCode": "AU",
"zip": "6959"
}
}
},
"catalogIds": [
"cat_01a15880-2a10-7b2c-8d3e-4f5a6b7c8d9e"
],
"currency": "AUD",
"fx": {
"currency": "AUD",
"home": "AUD",
"rate": 1,
"rateDate": "2026-10-20",
"source": "same"
},
"convention": "exclusive",
"shippingTaxBasis": {
"_tag": "calculated",
"treatment": "domestic",
"country": "AU",
"class": "follows-goods",
"rateBps": 1000
},
"shippingMethod": {
"title": "Standard",
"code": "STD"
},
"number": "SO-01042",
"serial": 1042,
"status": "partially-shipped",
"lines": [
{
"id": "lin_01a156d4-8704-7a21-8b32-5d6e7f809102",
"sku": "MUG-SPECKLE",
"name": "Speckled stoneware mug",
"ordered": 4,
"removed": false,
"catalogId": "cat_01a15880-2a10-7b2c-8d3e-4f5a6b7c8d9e",
"discountCents": 0,
"allocated": 4,
"picked": 4,
"packed": 4,
"dispatched": 4,
"invoiced": 4,
"returned": 1,
"unitPriceCents": 2400,
"listPriceCents": 2400,
"inclusive": false,
"taxBasis": {
"_tag": "calculated",
"treatment": "domestic",
"country": "AU",
"parts": [
{
"class": "standard",
"rateBps": 1000,
"weight": 1
}
]
},
"orderDiscountCents": 0,
"tax": {
"inclusive": false,
"amountCents": 9600,
"entries": [
{
"class": "standard",
"treatment": "domestic",
"country": "AU",
"rateBps": 1000,
"netCents": 9600,
"taxCents": 960,
"source": "manifold"
}
],
"netCents": 9600,
"taxCents": 960,
"grossCents": 10560
}
},
{
"id": "lin_01a156d4-8704-7a21-8b32-7f8091021324",
"sku": "BOWL-SALT-L",
"name": "Salt-glaze serving bowl, large",
"ordered": 2,
"removed": false,
"catalogId": "cat_01a15880-2a10-7b2c-8d3e-4f5a6b7c8d9e",
"discountCents": 0,
"allocated": 2,
"picked": 0,
"packed": 0,
"dispatched": 0,
"invoiced": 0,
"returned": 0,
"unitPriceCents": 3800,
"listPriceCents": 3800,
"inclusive": false,
"taxBasis": {
"_tag": "calculated",
"treatment": "domestic",
"country": "AU",
"parts": [
{
"class": "standard",
"rateBps": 1000,
"weight": 1
}
]
},
"orderDiscountCents": 0,
"tax": {
"inclusive": false,
"amountCents": 7600,
"entries": [
{
"class": "standard",
"treatment": "domestic",
"country": "AU",
"rateBps": 1000,
"netCents": 7600,
"taxCents": 760,
"source": "manifold"
}
],
"netCents": 7600,
"taxCents": 760,
"grossCents": 8360
}
}
],
"workflow": {
"paymentTerms": "on-account",
"pick": "manual",
"pack": "manual",
"ship": "manual",
"invoice": "manual",
"shortfall": "wait",
"allocation": "single-site-preferred",
"routing": {
"order": "rank",
"decider": "manifold",
"priority": []
},
"routingByCatalog": {}
},
"paymentTermsBy": "customer",
"createdSequence": 4096,
"shipments": [
{
"id": "shp_01a156d4-8704-7a21-8b32-8091021324a5",
"number": "SH-01057",
"reference": "auto:ord_01a156d4-8704-7a21-8b32-4c5d6e7f8091:1",
"status": "shipped",
"locationId": "loc_01a0f6b0-1100-7e51-8f62-7a8b9cadbec4",
"lines": [
{
"lineId": "lin_01a156d4-8704-7a21-8b32-5d6e7f809102",
"sku": "MUG-SPECKLE",
"quantity": 4,
"dispatchId": "dsp_01a1588b-1a20-7b31-9c42-6e7f80910213"
}
],
"cartons": [
{
"packaging": "carton",
"weightGrams": 2150,
"size": {
"lengthMm": 300,
"widthMm": 250,
"heightMm": 150
}
}
],
"carrier": "Australia Post",
"service": "Parcel Post",
"trackingNumber": "33XYZ0012345",
"trackingUrl": "https://auspost.com.au/mypost/track/details/33XYZ0012345",
"createdAt": "2026-10-20T01:02:11.204Z",
"updatedAt": "2026-10-20T03:12:40.000Z"
},
{
"id": "shp_01a1588b-2b30-7c41-8d52-91021324a5b6",
"number": "SH-01058",
"reference": "PO-7781-bowls",
"status": "cancelled",
"locationId": "loc_01a0f6b0-1100-7e51-8f62-7a8b9cadbec4",
"lines": [],
"cartons": [],
"createdAt": "2026-10-20T03:31:09.402Z",
"updatedAt": "2026-10-20T03:33:51.660Z"
},
{
"id": "shp_01a1588b-2b30-7c41-8d52-021324a5b6c7",
"number": "SH-01059",
"reference": "moved:PO-7781-bowls-shopfront",
"status": "pending",
"locationId": "loc_01a0f6b0-1100-7e51-8f62-8b9cadbecfd5",
"lines": [
{
"lineId": "lin_01a156d4-8704-7a21-8b32-7f8091021324",
"sku": "BOWL-SALT-L",
"quantity": 2
}
],
"cartons": [],
"createdAt": "2026-10-20T03:33:51.660Z",
"updatedAt": "2026-10-20T03:33:51.660Z"
}
],
"invoices": [
{
"id": "inv_01a1588b-1a20-7b31-9c42-7f8091021324",
"number": "INV-00871",
"lines": [
{
"lineId": "lin_01a156d4-8704-7a21-8b32-5d6e7f809102",
"sku": "MUG-SPECKLE",
"quantity": 4,
"unitPriceCents": 2400,
"discountCents": 0,
"tax": {
"inclusive": false,
"amountCents": 9600,
"entries": [
{
"class": "standard",
"treatment": "domestic",
"country": "AU",
"rateBps": 1000,
"netCents": 9600,
"taxCents": 960,
"source": "manifold"
}
],
"netCents": 9600,
"taxCents": 960,
"grossCents": 10560
}
}
],
"tax": {
"netCents": 9600,
"taxCents": 960,
"grossCents": 10560,
"breakdown": [
{
"class": "standard",
"treatment": "domestic",
"country": "AU",
"rateBps": 1000,
"exempt": false,
"taxableCents": 9600,
"taxCents": 960
}
]
},
"header": {
"kind": "tax-invoice",
"region": "AU-GST",
"sellerTaxNumber": "11 222 333 444",
"buyerIdentityRequired": false,
"presentation": "exclusive"
},
"totalCents": 10560,
"shipmentId": "shp_01a156d4-8704-7a21-8b32-8091021324a5",
"issuedAt": "2026-10-20T03:15:00.000Z"
}
],
"refunds": [
{
"id": "rfd_01a16470-4d50-7e61-9f72-b6c7d8e9f0a1",
"number": "RF-00064",
"lines": [
{
"lineId": "lin_01a156d4-8704-7a21-8b32-5d6e7f809102",
"sku": "MUG-SPECKLE",
"quantity": 1,
"restock": false,
"condition": "damaged",
"tax": {
"inclusive": false,
"amountCents": 2400,
"entries": [
{
"class": "standard",
"treatment": "domestic",
"country": "AU",
"rateBps": 1000,
"netCents": 2400,
"taxCents": 240,
"source": "manifold"
}
],
"netCents": 2400,
"taxCents": 240,
"grossCents": 2640
}
}
],
"amountCents": 2640,
"tax": {
"netCents": 2400,
"taxCents": 240,
"grossCents": 2640,
"breakdown": [
{
"class": "standard",
"treatment": "domestic",
"country": "AU",
"rateBps": 1000,
"exempt": false,
"taxableCents": 2400,
"taxCents": 240
}
]
},
"header": {
"kind": "adjustment-note",
"region": "AU-GST",
"sellerTaxNumber": "11 222 333 444",
"buyerIdentityRequired": false,
"presentation": "exclusive"
},
"reason": "One mug arrived chipped",
"refundedAt": "2026-10-22T00:48:30.256Z"
}
],
"payments": [
{
"id": "pay_01a15f20-3c40-7d51-8e62-a5b6c7d8e9f0",
"number": "PAY-00912",
"amountCents": 10560,
"method": "bank-transfer",
"reference": "HARBOUR CERAMICS 4471",
"receivedAt": "2026-10-21T01:10:00.000Z",
"recordedAt": "2026-10-21T01:12:44.381Z",
"fx": {
"currency": "AUD",
"home": "AUD",
"rate": 1,
"rateDate": "2026-10-21",
"source": "same"
}
}
],
"notes": [
{
"id": "note_01a15f6e-5e60-7f71-8a82-c7d8e9f0a1b2",
"reference": "note-harbour-dock",
"body": "Deliveries to the rear dock, weekdays before 3pm.",
"by": {
"_tag": "user",
"id": "usr_01a15889-fa80-7b11-8c22-3d4e5f6a7b8c"
},
"postedAt": "2026-10-21T02:05:17.902Z"
}
],
"edits": [],
"consignments": [],
"money": {
"subtotalCents": 17200,
"charges": {
"shippingCents": 0,
"shippingDiscountCents": 0,
"discountCents": 0
},
"discountCents": 0,
"tax": {
"netCents": 17200,
"taxCents": 1720,
"grossCents": 18920,
"breakdown": [
{
"class": "standard",
"treatment": "domestic",
"country": "AU",
"rateBps": 1000,
"exempt": false,
"taxableCents": 17200,
"taxCents": 1720
}
]
},
"totalCents": 18920,
"paidCents": 10560,
"refundedCents": 2640,
"balanceCents": 11000,
"refundOwedCents": 0,
"status": "partially-refunded"
},
"discounts": [],
"shortfalls": [],
"createdAt": "2026-10-20T01:02:11.204Z",
"updatedAt": "2026-10-22T00:48:30.256Z"
}The panel writes this call in other languages. It does not send it: Manifold's APIs do not take calls from a web
page on another site, so run the call from your own code or terminal. The whole API as OpenAPI: fulfillment-manager.openapi.json. Base URL https://fulfillment.getmanifold.io.
Errors
Every refusal is a status and a JSON body whose _tag names it. A refused call changes nothing.
401
| Refusal | What it means | What to do |
|---|---|---|
Unauthorized reason | The token is missing, expired or not one Manifold issued. | Get a fresh token and send the call again. |
TokenAlreadyUsed tokenId | A single-use app token was already spent. | Mint a new token for this call. |
402
| Refusal | What it means | What to do |
|---|---|---|
SubscriptionRequired status | The organization's subscription has lapsed, so writes are refused. | An owner settles billing. Reads still work meanwhile. |
403
| Refusal | What it means | What to do |
|---|---|---|
TenantRequired userId | The token names no organization. | Choose the organization, then get a new token. |
ScopeRequired required | The token's roles do not grant the scope this call needs. | Ask an owner or admin for a role that grants it. |
404
| Refusal | What it means | What to do |
|---|---|---|
FulfillmentOrderNotFound orderId | No such record in this organization. | Check the id in the path or the body. |
409
| Refusal | What it means | What to do |
|---|---|---|
MirroredFromSource source | This area is fed by your source system until the organization goes live. | Make the change in the source system, or go live first. |
503
| Refusal | What it means | What to do |
|---|---|---|
RequestLogUnavailable tokenId, reason | The service could not record the request, so it did nothing. | Try again shortly. |
How refusals work everywhere: Errors.
Used in
- Selling stock you do not have yet, step 7: The subscription catches up
- What happens when you get it wrong, or send it twice, step 8: Read it back
- Pack parcels into your boxes, step 10: The parcel, packed